Ricky logorickyDocs

Get agent options

GET
/agent-options

The models, voices and capabilities an agent can be configured with.

Scope: agents:read.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An organization API key, rky_live_…, created in Settings → API. Send it only from a server.

Response Body

Success.

application/json
  1. response
data*

What an agent can be configured with.

curl -X GET 'https://getricky.ai/api/v1/agent-options'
{  "data": {    "models": [      {        "id": "deepseek/deepseek-v4.1-flash",        "label": "DeepSeek V4.1 Flash",        "input": [          "text",          "image"        ]      }    ],    "default_model": "deepseek/deepseek-v4.1-flash",    "voices": [      "diana",      "lucy",      "cristina",      "norah",      "andrea",      "sofia",      "regina",      "antonio",      "mauricio",      "juancarlos"    ],    "default_voice": "diana",    "capabilities": [      {        "name": "ricky.handoff.request",        "label": "Pasar a una persona",        "description": "El agente puede pasar la conversación a una persona del equipo.",        "family": "human_handoff"      }    ]  }}